= nng_aio_get_output(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_aio_get_output - return output result

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

void *nng_aio_get_output(nng_aio *aio, unsigned int index);
----

== DESCRIPTION

The `nng_aio_get_output()` function returns the output result at _index_
resulting from the asynchronous operation associated with _aio_.

The type and semantics of output parameters are determined by specific
operations.

NOTE: If the _index_ does not correspond to a defined output for the operation,
or the operation did not succeed, then the return value will be `NULL`.

IMPORTANT: It is an error to call this function while the _aio_ is currently
in use by an active asynchronous operation, or if no operation has been
performed using the _aio_ yet.

== RETURN VALUES

The __index__th result of the operation, or `NULL`.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_aio_alloc.3.adoc[nng_aio_alloc(3)],
xref:nng_aio_get_output.3.adoc[nng_aio_get_output(3)],
xref:nng_aio_set_input.3.adoc[nng_aio_set_input(3)],
xref:nng_aio_result.3.adoc[nng_aio_result(3)],
xref:nng_aio.5.adoc[nng_aio(5)],
xref:nng.7.adoc[nng(7)]
